#include<bits/stdc++.h>
using namespace std;

int main(){
	
	ios_base::sync_with_stdio(false);
    cin.tie(NULL);
	
	int a, b, x, y;
	cin>>a>>b>>x>>y;
	bool prvi, drugi;
	prvi = x - a;
	drugi = y - b;
	
	if(prvi == false && drugi == false){
		cout<<"nijedan";
		return 0;
	}
	else if(prvi == true && drugi == false){
		cout<<"prvi";
		return 0;
	}
	else if(prvi == false && drugi == true){
		cout<<"drugi";
		return 0;
	}
	cout<<"?";
	
	return 0;
}